// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S068_FullNumbers.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;

import java.util.ArrayList;
import java.util.Collection;


@SuppressWarnings("fallthrough")
class S068_FullNumbers extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;
  public static final int numberState = 4;
  public static final int numberYearState = 6;
  public static final int numberNumberState = 8;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2,  2,  3,  3,  4, 4
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\36\u0200\1\u0300\1\u0400\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\3\22\0\1\1"+
    "\1\0\1\4\3\0\1\5\6\0\1\6\1\7\1\10"+
    "\1\11\1\12\1\13\3\14\2\15\1\16\1\17\1\20"+
    "\1\21\5\0\1\22\1\23\1\24\1\25\1\26\1\25"+
    "\1\27\1\25\1\30\1\25\1\31\1\32\1\33\1\34"+
    "\1\35\1\36\1\37\1\40\1\41\1\42\1\43\4\25"+
    "\1\44\1\45\1\6\1\46\1\0\1\47\1\0\1\50"+
    "\1\51\1\52\1\53\1\54\1\53\1\55\1\53\1\56"+
    "\1\53\1\57\1\60\1\61\1\62\1\63\1\64\1\53"+
    "\1\65\1\66\1\67\1\70\4\53\1\71\65\0\1\72"+
    "\177\0\2\73\115\0\1\74\u0182\0\1\1\u0127\0\1\75"+
    "\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1280];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\7\0\6\1\2\2\1\3\1\4\1\5\1\6\3\5"+
    "\5\3\1\7\2\5\1\10\2\5\1\3\44\0\1\5"+
    "\1\0\1\5\5\0\6\5\5\0\1\5\10\0\1\10"+
    "\2\5\1\10\1\0\1\10\1\11\43\0\1\5\3\0"+
    "\1\5\1\0\1\5\1\0\1\5\1\0\1\5\1\0"+
    "\1\5\6\0\1\5\1\10\71\0\4\12\3\0\1\12"+
    "\1\0\1\5\1\0\1\5\2\0\1\5\3\0\1\5"+
    "\30\0\1\13\21\0\1\14\16\0\1\15\2\0\1\12"+
    "\1\0\1\12\1\0\1\12\1\0\1\5\1\0\1\5"+
    "\2\0\1\5\3\0\1\5\37\0\1\13\34\0\1\14"+
    "\12\0\4\12\3\0\2\12\1\0\1\5\1\0\1\5"+
    "\12\0\1\16\30\0\1\17\31\0\1\12\1\0\1\12"+
    "\1\0\1\12\1\0\1\12\21\0\1\16\3\0\1\20"+
    "\1\0\1\13\15\0\1\17\3\0\1\21\1\0\1\14"+
    "\6\0\2\12\1\0\1\12\52\0\1\12\5\0\1\16"+
    "\17\0\1\17\16\0\1\22\1\12\16\0\1\20\15\0"+
    "\1\21\40\0\1\20\6\0\1\21\40\0\1\23\33\0"+
    "\1\24\12\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[740];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\76\0\174\0\272\0\370\0\u0136\0\u0174\0\u01b2"+
    "\0\u01f0\0\u022e\0\u026c\0\u02aa\0\u02e8\0\u01b2\0\u0326\0\u01b2"+
    "\0\u0364\0\u03a2\0\u03e0\0\u041e\0\u045c\0\u049a\0\u04d8\0\u0516"+
    "\0\u0554\0\u0592\0\u05d0\0\u060e\0\u064c\0\u068a\0\u06c8\0\u0706"+
    "\0\u03e0\0\u0744\0\u0782\0\u07c0\0\u07fe\0\u083c\0\u087a\0\u08b8"+
    "\0\u08f6\0\u0934\0\u0972\0\u09b0\0\u09ee\0\u0a2c\0\u0a6a\0\u0aa8"+
    "\0\u0ae6\0\u0b24\0\u0b62\0\u01f0\0\u0ba0\0\u0bde\0\u0c1c\0\u0c5a"+
    "\0\u0c98\0\u0cd6\0\u0d14\0\u0d52\0\u0d90\0\u0dce\0\u0e0c\0\u0e4a"+
    "\0\u0e88\0\u0ec6\0\u0f04\0\u0f42\0\u0f80\0\u0fbe\0\u0ffc\0\u103a"+
    "\0\u1078\0\u10b6\0\u10f4\0\u1132\0\u1170\0\u11ae\0\u11ec\0\u122a"+
    "\0\u1268\0\u12a6\0\u12e4\0\u1322\0\u1360\0\u139e\0\u13dc\0\u141a"+
    "\0\u1458\0\u1496\0\u14d4\0\u1512\0\u1550\0\u158e\0\u15cc\0\u160a"+
    "\0\u1648\0\u1686\0\u16c4\0\u1702\0\u1740\0\u177e\0\u17bc\0\u01b2"+
    "\0\u03a2\0\u17fa\0\u1838\0\u1876\0\u18b4\0\u01b2\0\u18f2\0\u1930"+
    "\0\u196e\0\u19ac\0\u19ea\0\u1a28\0\u1a66\0\u1aa4\0\u1ae2\0\u1b20"+
    "\0\u1b5e\0\u1b9c\0\u1bda\0\u1c18\0\u1c56\0\u1c94\0\u1cd2\0\u1d10"+
    "\0\u1d4e\0\u1d8c\0\u1dca\0\u1e08\0\u1e46\0\u1e84\0\u1ec2\0\u1f00"+
    "\0\u1f3e\0\u1f7c\0\u1fba\0\u1ff8\0\u01b2\0\u2036\0\u2074\0\u20b2"+
    "\0\u20f0\0\u212e\0\u216c\0\u21aa\0\u21e8\0\u2226\0\u2264\0\u22a2"+
    "\0\u22e0\0\u231e\0\u235c\0\u239a\0\u23d8\0\u2416\0\u2454\0\u2492"+
    "\0\u24d0\0\u250e\0\u254c\0\u258a\0\u25c8\0\u2606\0\u2644\0\u2682"+
    "\0\u26c0\0\u26fe\0\u273c\0\u277a\0\u27b8\0\u27f6\0\u2834\0\u2872"+
    "\0\u28b0\0\u28ee\0\u292c\0\u296a\0\u29a8\0\u29e6\0\u2a24\0\u2a62"+
    "\0\u2aa0\0\u2ade\0\u2b1c\0\u2b5a\0\u2b98\0\u2bd6\0\u2c14\0\u2c52"+
    "\0\u2c90\0\u2cce\0\u2d0c\0\u2d4a\0\u2d88\0\u2dc6\0\u2e04\0\u2e42"+
    "\0\u2e80\0\u2ebe\0\u2efc\0\u2f3a\0\u2f78\0\u2fb6\0\u2ff4\0\u3032"+
    "\0\u3070\0\u30ae\0\u30ec\0\u312a\0\u3168\0\u31a6\0\u31e4\0\u3222"+
    "\0\u3260\0\u329e\0\u32dc\0\u331a\0\u3358\0\u3396\0\u33d4\0\u3412"+
    "\0\u3450\0\u20b2\0\u348e\0\u34cc\0\u350a\0\u3548\0\u3586\0\u35c4"+
    "\0\u3602\0\u3640\0\u367e\0\u36bc\0\u36fa\0\u3738\0\u3776\0\u37b4"+
    "\0\u37f2\0\u3830\0\u386e\0\u38ac\0\u38ea\0\u3928\0\u3966\0\u39a4"+
    "\0\u39e2\0\u3a20\0\u3a5e\0\u3a9c\0\u3ada\0\u3b18\0\u3b56\0\u3b94"+
    "\0\u3bd2\0\u3c10\0\u3c4e\0\u3c8c\0\u3cca\0\u01b2\0\u3d08\0\u3d46"+
    "\0\u3d84\0\u3dc2\0\u3e00\0\u3e3e\0\u3e7c\0\u3eba\0\u3ef8\0\u3f36"+
    "\0\u3f74\0\u3fb2\0\u3ff0\0\u402e\0\u406c\0\u40aa\0\u40e8\0\u01b2"+
    "\0\u4126\0\u4164\0\u41a2\0\u41e0\0\u421e\0\u425c\0\u429a\0\u42d8"+
    "\0\u4316\0\u4354\0\u4392\0\u43d0\0\u440e\0\u444c\0\u01b2\0\u448a"+
    "\0\u44c8\0\u4506\0\u4544\0\u4582\0\u45c0\0\u45fe\0\u463c\0\u467a"+
    "\0\u46b8\0\u46f6\0\u4734\0\u4772\0\u47b0\0\u47ee\0\u482c\0\u486a"+
    "\0\u48a8\0\u48e6\0\u4924\0\u4962\0\u49a0\0\u49de\0\u4a1c\0\u4a5a"+
    "\0\u4a98\0\u4ad6\0\u4b14\0\u4b52\0\u4b90\0\u4bce\0\u4c0c\0\u4c4a"+
    "\0\u4c88\0\u4cc6\0\u4d04\0\u4d42\0\u4d80\0\u4dbe\0\u4dfc\0\u4e3a"+
    "\0\u4e78\0\u4eb6\0\u4ef4\0\u4f32\0\u4f70\0\u4fae\0\u4fec\0\u502a"+
    "\0\u502a\0\u5068\0\u50a6\0\u50e4\0\u5122\0\u5160\0\u519e\0\u51dc"+
    "\0\u521a\0\u5258\0\u5296\0\u52d4\0\u5312\0\u5350\0\u538e\0\u53cc"+
    "\0\u540a\0\u5448\0\u5486\0\u54c4\0\u5502\0\u5540\0\u557e\0\u55bc"+
    "\0\u55fa\0\u5638\0\u5676\0\u56b4\0\u56f2\0\u56f2\0\u5730\0\u576e"+
    "\0\u57ac\0\u57ea\0\u5828\0\u5866\0\u58a4\0\u58e2\0\u5920\0\u595e"+
    "\0\u599c\0\u59da\0\u5a18\0\u5a56\0\u5a94\0\u5ad2\0\u5b10\0\u5b4e"+
    "\0\u5b8c\0\u5bca\0\u5c08\0\u5c46\0\u5c84\0\u5cc2\0\u5d00\0\u5d3e"+
    "\0\u5d7c\0\u5dba\0\u5df8\0\u5e36\0\u5e74\0\u5eb2\0\u5ef0\0\u01b2"+
    "\0\u5f2e\0\u5f6c\0\u5faa\0\u5fe8\0\u6026\0\u6064\0\u60a2\0\u60e0"+
    "\0\u611e\0\u615c\0\u619a\0\u61d8\0\u6216\0\u6254\0\u6292\0\u62d0"+
    "\0\u630e\0\u634c\0\u638a\0\u63c8\0\u6406\0\u6444\0\u6482\0\u64c0"+
    "\0\u01b2\0\u64fe\0\u653c\0\u657a\0\u65b8\0\u65f6\0\u6634\0\u6672"+
    "\0\u66b0\0\u66ee\0\u672c\0\u676a\0\u67a8\0\u67e6\0\u6824\0\u6862"+
    "\0\u68a0\0\u68de\0\u691c\0\u695a\0\u6998\0\u69d6\0\u6a14\0\u6a52"+
    "\0\u6a90\0\u6ace\0\u6b0c\0\u6b4a\0\u6b88\0\u6bc6\0\u6c04\0\u6c42"+
    "\0\u6c80\0\u6cbe\0\u6cfc\0\u6d3a\0\u6d78\0\u6db6\0\u6df4\0\u6e32"+
    "\0\u6e70\0\u6eae\0\u6eec\0\u6f2a\0\u6f68\0\u6fa6\0\u6fe4\0\u7022"+
    "\0\u7060\0\u709e\0\u709e\0\u70dc\0\u711a\0\u7158\0\u01b2\0\u7196"+
    "\0\u7196\0\u71d4\0\u7212\0\u7250\0\u728e\0\u72cc\0\u730a\0\u7348"+
    "\0\u7386\0\u73c4\0\u7402\0\u7440\0\u747e\0\u74bc\0\u74bc\0\u74fa"+
    "\0\u7538\0\u7576\0\u01b2\0\u75b4\0\u75b4\0\u75f2\0\u7630\0\u766e"+
    "\0\u76ac\0\u76ea\0\u7728\0\u01b2\0\u7766\0\u77a4\0\u77e2\0\u7820"+
    "\0\u785e\0\u789c\0\u78da\0\u7918\0\u7956\0\u7994\0\u79d2\0\u7a10"+
    "\0\u7a4e\0\u7a8c\0\u7aca\0\u7b08\0\u7b46\0\u7b84\0\u7bc2\0\u7c00"+
    "\0\u7c3e\0\u7c7c\0\u7cba\0\u7cf8\0\u7d36\0\u7d74\0\u7db2\0\u7df0"+
    "\0\u7e2e\0\u7e6c\0\u7eaa\0\u7ee8\0\u7f26\0\u7f64\0\u7fa2\0\u7fe0"+
    "\0\u801e\0\u805c\0\u809a\0\u80d8\0\u8116\0\u8154\0\u8192\0\u81d0"+
    "\0\u820e\0\u824c\0\u828a\0\u82c8\0\u8306\0\u8344\0\u8382\0\u8382"+
    "\0\u83c0\0\u83fe\0\u843c\0\u847a\0\u84b8\0\u84f6\0\u8534\0\u8572"+
    "\0\u85b0\0\u85ee\0\u862c\0\u866a\0\u86a8\0\u86e6\0\u8724\0\u8724"+
    "\0\u8762\0\u87a0\0\u87de\0\u881c\0\u885a\0\u8898\0\u88d6\0\u8914"+
    "\0\u8952\0\u8990\0\u89ce\0\u8a0c\0\u8a4a\0\u8a88\0\u01b2\0\u8ac6"+
    "\0\u8b04\0\u8b42\0\u8b80\0\u8bbe\0\u8bfc\0\u8c3a\0\u8c78\0\u8cb6"+
    "\0\u8cf4\0\u8d32\0\u8d70\0\u8dae\0\u8dec\0\u8e2a\0\u8e2a\0\u8e68"+
    "\0\u8ea6\0\u8ee4\0\u8f22\0\u8f60\0\u8f9e\0\u8fdc\0\u901a\0\u9058"+
    "\0\u9096\0\u90d4\0\u9112\0\u9150\0\u9150\0\u918e\0\u91cc\0\u920a"+
    "\0\u9248\0\u9286\0\u92c4\0\u9302\0\u9340\0\u937e\0\u93bc\0\u93fa"+
    "\0\u9438\0\u9476\0\u94b4\0\u94f2\0\u9530\0\u956e\0\u95ac\0\u95ea"+
    "\0\u9628\0\u9666\0\u96a4\0\u96e2\0\u9720\0\u975e\0\u979c\0\u97da"+
    "\0\u9818\0\u9856\0\u9894\0\u98d2\0\u9910\0\u9910\0\u994e\0\u998c"+
    "\0\u99ca\0\u9a08\0\u9a46\0\u9a84\0\u9a84\0\u9ac2\0\u9b00\0\u9b3e"+
    "\0\u9b7c\0\u9bba\0\u9bf8\0\u9c36\0\u9c74\0\u9cb2\0\u9cf0\0\u9d2e"+
    "\0\u9d6c\0\u9daa\0\u9de8\0\u9e26\0\u9e64\0\u9ea2\0\u9ee0\0\u9f1e"+
    "\0\u9f5c\0\u9f9a\0\u9fd8\0\ua016\0\ua054\0\ua092\0\ua0d0\0\ua10e"+
    "\0\ua14c\0\ua18a\0\ua1c8\0\ua206\0\ua244\0\u01b2\0\ua282\0\ua2c0"+
    "\0\ua2fe\0\ua33c\0\ua37a\0\ua3b8\0\ua3f6\0\ua434\0\ua472\0\ua4b0"+
    "\0\ua4ee\0\ua52c\0\ua56a\0\ua5a8\0\ua5e6\0\ua624\0\ua662\0\ua6a0"+
    "\0\ua6de\0\ua71c\0\ua75a\0\ua798\0\ua7d6\0\ua814\0\ua852\0\ua890"+
    "\0\ua8ce\0\u01b2\0\ua90c\0\ua94a\0\ua988\0\ua9c6\0\uaa04\0\uaa42"+
    "\0\uaa80\0\uaabe\0\uaafc\0\uab3a";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[740];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\1\10\2\11\1\12\1\10\1\13\26\10\1\14\10\10"+
    "\1\15\14\10\1\14\13\10\45\16\1\17\30\16\11\20"+
    "\7\21\2\20\4\22\1\23\1\24\4\22\1\25\4\22"+
    "\1\26\3\22\1\27\6\20\1\30\1\31\4\20\1\32"+
    "\3\20\1\33\5\20\1\33\12\20\7\34\2\20\4\22"+
    "\1\23\1\24\4\22\1\35\2\22\1\36\1\22\1\26"+
    "\3\22\1\27\6\20\1\30\1\31\4\20\1\37\3\20"+
    "\1\33\5\20\1\33\12\20\7\40\2\20\4\22\1\41"+
    "\1\24\4\22\1\35\4\22\1\26\3\22\1\42\6\20"+
    "\1\30\1\31\4\20\1\37\3\20\1\33\5\20\1\33"+
    "\1\20\34\0\1\43\25\0\1\43\24\0\7\44\2\0"+
    "\10\45\1\46\6\45\1\47\1\50\2\45\13\0\1\51"+
    "\5\0\1\52\1\53\4\0\1\52\110\0\7\54\2\0"+
    "\4\55\1\56\1\57\11\55\1\60\3\55\7\0\1\61"+
    "\1\62\10\0\1\63\5\0\1\63\3\0\1\64\6\0"+
    "\7\54\2\0\4\55\1\56\1\57\11\55\1\60\3\55"+
    "\7\0\1\61\1\62\10\0\1\63\5\0\1\63\35\0"+
    "\1\65\25\0\1\65\14\0\3\66\1\0\1\67\1\0"+
    "\1\70\1\0\7\71\2\0\4\72\1\73\1\74\4\72"+
    "\2\75\2\72\1\75\1\76\1\72\1\77\1\72\7\0"+
    "\1\100\1\101\4\0\2\102\1\0\1\102\1\103\1\0"+
    "\1\104\1\0\1\66\1\0\1\103\33\0\1\105\25\0"+
    "\1\105\25\0\1\106\76\0\7\21\100\0\23\22\53\0"+
    "\4\22\1\107\16\22\7\0\1\110\43\0\1\111\22\22"+
    "\3\0\1\112\26\0\3\113\1\0\1\114\1\0\1\115"+
    "\1\0\7\116\2\0\4\117\1\120\1\121\4\117\2\122"+
    "\2\117\1\122\1\123\1\117\1\124\1\117\7\0\1\125"+
    "\1\126\4\0\2\127\1\0\1\127\1\130\1\0\1\131"+
    "\1\0\1\113\1\0\1\130\23\0\4\22\1\132\16\22"+
    "\7\0\1\133\53\0\1\134\25\0\1\134\43\0\1\110"+
    "\25\0\1\110\43\0\1\112\25\0\1\112\26\0\3\113"+
    "\1\0\1\114\1\0\1\115\1\0\7\116\2\0\4\135"+
    "\1\136\1\137\4\135\2\140\2\135\1\140\1\141\1\135"+
    "\1\142\1\135\7\0\1\125\1\126\4\0\2\127\1\0"+
    "\1\127\1\130\1\0\1\131\1\0\1\113\1\0\1\130"+
    "\27\0\1\133\25\0\1\133\32\0\7\34\65\0\1\143"+
    "\12\0\12\22\2\144\2\22\1\144\2\22\1\145\1\22"+
    "\15\0\2\146\1\0\1\146\2\0\1\147\1\0\1\150"+
    "\25\0\11\22\1\151\11\22\40\0\1\143\24\0\2\146"+
    "\2\0\1\146\2\0\1\147\16\0\2\146\1\0\1\146"+
    "\2\0\1\147\1\0\1\150\14\0\7\40\110\0\1\152"+
    "\25\0\1\152\24\0\1\153\24\0\2\154\2\0\1\154"+
    "\2\0\1\155\16\0\2\154\1\0\1\154\2\0\1\155"+
    "\1\0\1\156\11\0\1\157\1\0\1\157\7\44\64\0"+
    "\1\160\1\0\1\160\11\0\23\45\37\0\1\160\1\0"+
    "\1\160\11\0\4\45\1\161\16\45\7\0\1\162\27\0"+
    "\1\160\1\0\1\160\11\0\1\163\22\45\3\0\1\164"+
    "\33\0\1\160\1\0\1\160\11\0\21\45\1\165\1\45"+
    "\23\0\1\166\33\0\1\162\25\0\1\162\43\0\1\164"+
    "\25\0\1\164\70\0\1\166\24\0\1\166\13\0\1\167"+
    "\1\0\1\167\7\54\64\0\1\170\1\0\1\170\11\0"+
    "\23\55\37\0\1\170\1\0\1\170\11\0\4\55\1\171"+
    "\16\55\7\0\1\172\27\0\1\170\1\0\1\170\11\0"+
    "\1\173\22\55\3\0\1\174\33\0\1\170\1\0\1\170"+
    "\11\0\4\55\1\175\16\55\7\0\1\176\47\0\1\172"+
    "\25\0\1\172\43\0\1\174\25\0\1\174\53\0\1\176"+
    "\25\0\1\176\44\0\1\177\25\0\1\177\25\0\3\66"+
    "\1\0\1\67\3\0\7\71\2\0\4\72\1\73\1\74"+
    "\11\72\1\76\3\72\7\0\1\100\1\101\10\0\1\103"+
    "\5\0\1\103\35\0\1\200\25\0\1\200\14\0\3\66"+
    "\1\0\1\67\3\0\7\71\2\0\4\72\1\73\1\74"+
    "\11\72\1\76\3\72\7\0\1\100\1\101\10\0\1\103"+
    "\3\0\1\66\1\0\1\103\7\0\1\201\1\0\1\201"+
    "\7\71\64\0\1\202\1\0\1\202\11\0\23\72\37\0"+
    "\1\202\1\0\1\202\11\0\4\72\1\203\16\72\7\0"+
    "\1\204\27\0\1\202\1\0\1\202\11\0\1\205\22\72"+
    "\3\0\1\206\26\0\3\66\1\0\1\67\1\202\1\66"+
    "\1\202\7\71\2\0\4\72\1\73\1\74\11\72\1\76"+
    "\3\72\7\0\1\100\1\101\10\0\1\103\5\0\1\103"+
    "\7\0\1\202\1\0\1\202\11\0\4\72\1\207\16\72"+
    "\7\0\1\210\27\0\1\202\1\0\1\202\11\0\11\72"+
    "\1\211\11\72\14\0\1\212\42\0\1\204\25\0\1\204"+
    "\43\0\1\206\25\0\1\206\26\0\3\66\1\0\1\67"+
    "\1\0\1\66\1\0\7\71\2\0\4\72\1\73\1\74"+
    "\11\72\1\76\3\72\7\0\1\100\1\101\10\0\1\103"+
    "\5\0\1\103\27\0\1\210\25\0\1\210\54\0\1\212"+
    "\25\0\1\212\45\0\1\213\25\0\1\213\15\0\1\213"+
    "\32\0\1\214\25\0\1\214\37\0\23\22\13\0\1\215"+
    "\47\0\1\215\25\0\1\215\37\0\23\22\21\0\1\215"+
    "\5\0\1\215\42\0\1\215\24\0\1\215\5\0\1\215"+
    "\2\0\3\113\1\0\1\114\3\0\7\116\2\0\4\135"+
    "\1\136\1\137\11\135\1\141\3\135\7\0\1\125\1\126"+
    "\10\0\1\130\5\0\1\130\35\0\1\216\25\0\1\216"+
    "\14\0\3\113\1\0\1\114\3\0\7\116\2\0\4\135"+
    "\1\136\1\137\11\135\1\141\3\135\7\0\1\125\1\126"+
    "\10\0\1\130\3\0\1\113\1\0\1\130\7\0\1\217"+
    "\1\0\1\217\7\116\64\0\1\220\1\0\1\220\11\0"+
    "\23\117\37\0\1\220\1\0\1\220\11\0\4\117\1\221"+
    "\16\117\7\0\1\222\27\0\1\220\1\0\1\220\11\0"+
    "\1\223\22\117\3\0\1\224\26\0\3\113\1\0\1\114"+
    "\1\220\1\113\1\220\7\116\2\0\4\117\1\120\1\121"+
    "\11\117\1\123\3\117\7\0\1\125\1\126\10\0\1\130"+
    "\5\0\1\130\7\0\1\220\1\0\1\220\11\0\4\117"+
    "\1\225\16\117\7\0\1\226\27\0\1\220\1\0\1\220"+
    "\11\0\11\117\1\227\11\117\14\0\1\230\42\0\1\222"+
    "\25\0\1\222\43\0\1\224\25\0\1\224\26\0\3\113"+
    "\1\0\1\114\1\0\1\113\1\0\7\116\2\0\4\135"+
    "\1\136\1\137\11\135\1\141\3\135\7\0\1\125\1\126"+
    "\10\0\1\130\5\0\1\130\27\0\1\226\25\0\1\226"+
    "\54\0\1\230\25\0\1\230\36\0\22\22\1\231\24\0"+
    "\1\232\50\0\1\232\24\0\1\232\35\0\1\233\25\0"+
    "\1\233\15\0\1\233\6\0\1\220\1\0\1\220\11\0"+
    "\23\135\37\0\1\220\1\0\1\220\11\0\4\135\1\234"+
    "\16\135\7\0\1\222\27\0\1\220\1\0\1\220\11\0"+
    "\1\235\22\135\3\0\1\224\26\0\3\113\1\0\1\114"+
    "\1\220\1\113\1\220\7\116\2\0\4\135\1\136\1\137"+
    "\11\135\1\141\3\135\7\0\1\125\1\126\10\0\1\130"+
    "\5\0\1\130\7\0\1\220\1\0\1\220\11\0\4\135"+
    "\1\236\16\135\7\0\1\226\27\0\1\220\1\0\1\220"+
    "\11\0\11\135\1\237\11\135\14\0\1\230\106\0\1\150"+
    "\12\0\1\150\12\0\23\22\53\0\11\22\1\240\11\22"+
    "\14\0\1\241\23\0\1\150\121\0\1\241\25\0\1\241"+
    "\45\0\1\242\25\0\1\242\15\0\1\242\72\0\1\156"+
    "\12\0\1\156\121\0\1\243\25\0\1\243\36\0\10\244"+
    "\1\245\6\244\1\246\1\247\2\244\13\0\1\250\5\0"+
    "\1\251\1\252\4\0\1\251\12\0\7\253\2\0\10\254"+
    "\1\255\6\254\1\256\1\257\2\254\13\0\1\260\5\0"+
    "\1\261\1\262\4\0\1\261\7\0\1\160\1\0\1\160"+
    "\11\0\23\45\7\0\1\263\47\0\1\263\25\0\1\263"+
    "\27\0\1\160\1\0\1\160\11\0\23\45\10\0\1\263"+
    "\47\0\1\263\25\0\1\263\26\0\1\160\1\0\1\160"+
    "\11\0\1\264\22\45\3\0\1\265\47\0\1\265\25\0"+
    "\1\265\36\0\1\266\1\267\1\270\4\266\2\0\4\271"+
    "\1\272\1\273\11\271\1\274\3\271\1\275\6\0\1\276"+
    "\1\277\10\0\1\300\5\0\1\300\12\0\7\301\64\0"+
    "\1\170\1\0\1\170\11\0\23\55\13\0\1\302\47\0"+
    "\1\302\25\0\1\302\23\0\1\170\1\0\1\170\11\0"+
    "\23\55\21\0\1\302\5\0\1\302\42\0\1\302\24\0"+
    "\1\302\5\0\1\302\7\0\1\170\1\0\1\170\11\0"+
    "\22\55\1\303\24\0\1\304\50\0\1\304\24\0\1\304"+
    "\45\0\1\305\24\0\1\305\5\0\1\305\24\0\1\306"+
    "\25\0\1\306\35\0\1\307\1\310\1\311\4\307\2\0"+
    "\4\312\1\313\1\314\11\312\1\315\3\312\1\316\6\0"+
    "\1\317\1\320\10\0\1\321\5\0\1\321\12\0\7\322"+
    "\64\0\1\202\1\0\1\202\11\0\23\72\13\0\1\323"+
    "\47\0\1\323\25\0\1\323\23\0\1\202\1\0\1\202"+
    "\11\0\23\72\21\0\1\323\5\0\1\323\42\0\1\323"+
    "\24\0\1\323\5\0\1\323\7\0\1\202\1\0\1\202"+
    "\11\0\22\72\1\324\24\0\1\325\50\0\1\325\24\0"+
    "\1\325\5\0\3\66\1\0\1\67\1\202\1\66\1\202"+
    "\7\71\2\0\4\72\1\326\1\74\11\72\1\76\3\72"+
    "\7\0\1\327\1\101\10\0\1\103\5\0\1\103\2\0"+
    "\3\66\1\0\1\67\1\0\1\66\1\0\7\71\2\0"+
    "\4\72\1\326\1\74\11\72\1\76\3\72\7\0\1\327"+
    "\1\101\10\0\1\103\5\0\1\103\35\0\1\330\25\0"+
    "\1\330\44\0\1\331\25\0\1\331\15\0\1\331\23\0"+
    "\1\332\25\0\1\332\46\0\4\333\1\334\1\335\11\333"+
    "\1\336\3\333\7\0\1\337\1\340\10\0\1\341\5\0"+
    "\1\341\12\0\7\342\64\0\1\220\1\0\1\220\11\0"+
    "\23\117\13\0\1\343\47\0\1\343\25\0\1\343\23\0"+
    "\1\220\1\0\1\220\11\0\23\117\21\0\1\343\5\0"+
    "\1\343\42\0\1\343\24\0\1\343\5\0\1\343\7\0"+
    "\1\220\1\0\1\220\11\0\22\117\1\344\24\0\1\345"+
    "\50\0\1\345\24\0\1\345\5\0\3\113\1\0\1\114"+
    "\1\220\1\113\1\220\7\116\2\0\4\117\1\346\1\121"+
    "\11\117\1\123\3\117\7\0\1\347\1\126\10\0\1\130"+
    "\5\0\1\130\2\0\3\113\1\0\1\114\1\0\1\113"+
    "\1\0\7\116\2\0\4\135\1\350\1\137\11\135\1\141"+
    "\3\135\7\0\1\347\1\126\10\0\1\130\5\0\1\130"+
    "\23\0\1\351\22\22\3\0\1\352\47\0\1\352\25\0"+
    "\1\352\61\0\1\353\25\0\1\353\21\0\1\220\1\0"+
    "\1\220\11\0\23\135\13\0\1\343\23\0\1\220\1\0"+
    "\1\220\11\0\23\135\21\0\1\343\5\0\1\343\7\0"+
    "\1\220\1\0\1\220\11\0\22\135\1\354\24\0\1\345"+
    "\5\0\3\113\1\0\1\114\1\220\1\113\1\220\7\116"+
    "\2\0\4\135\1\350\1\137\11\135\1\141\3\135\7\0"+
    "\1\347\1\126\10\0\1\130\5\0\1\130\10\0\1\150"+
    "\12\0\4\22\1\355\16\22\7\0\1\356\30\0\1\150"+
    "\16\0\1\356\25\0\1\356\55\0\1\357\25\0\1\357"+
    "\22\0\1\156\16\0\1\360\25\0\1\360\22\0\3\361"+
    "\15\0\1\362\23\244\32\0\3\361\15\0\1\362\4\244"+
    "\1\363\16\244\7\0\1\364\22\0\3\361\15\0\1\362"+
    "\1\365\22\244\3\0\1\366\26\0\3\361\15\0\1\362"+
    "\21\244\1\367\1\244\23\0\1\370\33\0\1\364\25\0"+
    "\1\364\43\0\1\366\25\0\1\366\70\0\1\370\24\0"+
    "\1\370\6\0\3\361\5\0\7\253\1\0\1\362\62\0"+
    "\1\371\1\0\1\371\11\0\23\254\37\0\1\371\1\0"+
    "\1\371\11\0\4\254\1\372\16\254\7\0\1\373\27\0"+
    "\1\371\1\0\1\371\11\0\1\374\22\254\3\0\1\375"+
    "\33\0\1\371\1\0\1\371\11\0\21\254\1\376\1\254"+
    "\23\0\1\377\33\0\1\373\25\0\1\373\43\0\1\375"+
    "\25\0\1\375\70\0\1\377\24\0\1\377\13\0\1\160"+
    "\1\0\1\160\73\0\1\160\1\0\1\160\11\0\22\45"+
    "\1\u0100\24\0\1\u0101\50\0\1\u0101\24\0\1\u0101\12\0"+
    "\1\u0102\1\0\1\u0102\7\266\64\0\1\u0102\1\0\1\u0102"+
    "\5\266\1\u0103\1\u0104\64\0\1\u0102\1\0\1\u0102\1\u0105"+
    "\6\266\56\0\6\u0106\1\u0107\1\u0106\1\u0107\7\0\2\u0106"+
    "\23\271\3\u0106\22\0\12\u0106\1\u0107\1\u0106\1\u0107\7\0"+
    "\2\u0106\4\271\1\u0108\16\271\3\u0106\4\0\1\u0109\15\0"+
    "\12\u0106\1\u0107\1\u0106\1\u0107\7\0\2\u0106\1\u010a\22\271"+
    "\3\u0106\1\u010b\21\0\12\u0106\1\u0107\1\u0106\1\u0107\7\0"+
    "\2\u0106\4\271\1\u010c\16\271\3\u0106\4\0\1\u010d\15\0"+
    "\4\u0106\32\0\1\u010e\25\0\1\u010e\43\0\1\u0109\25\0"+
    "\1\u0109\43\0\1\u010b\25\0\1\u010b\53\0\1\u010d\25\0"+
    "\1\u010d\21\0\6\u0106\1\u010f\1\u0106\1\u010f\7\301\2\u0106"+
    "\23\0\3\u0106\22\0\4\u0106\6\0\1\170\1\0\1\170"+
    "\73\0\1\170\1\0\1\170\11\0\1\u0110\22\55\3\0"+
    "\1\u0111\47\0\1\u0111\25\0\1\u0111\63\0\1\u0112\25\0"+
    "\1\u0112\52\0\1\u0113\24\0\1\u0113\5\0\1\u0113\7\0"+
    "\1\u0114\1\0\1\u0114\7\307\64\0\1\u0114\1\0\1\u0114"+
    "\5\307\1\u0115\1\u0116\64\0\1\u0114\1\0\1\u0114\1\u0117"+
    "\6\307\56\0\6\u0118\1\u0119\1\u0118\1\u0119\7\0\2\u0118"+
    "\23\312\3\u0118\22\0\12\u0118\1\u0119\1\u0118\1\u0119\7\0"+
    "\2\u0118\4\312\1\u011a\16\312\3\u0118\4\0\1\u011b\15\0"+
    "\12\u0118\1\u0119\1\u0118\1\u0119\7\0\2\u0118\1\u011c\22\312"+
    "\3\u0118\1\u011d\21\0\12\u0118\1\u0119\1\u0118\1\u0119\7\0"+
    "\2\u0118\4\312\1\u011e\16\312\3\u0118\4\0\1\u011f\15\0"+
    "\4\u0118\32\0\1\u0120\25\0\1\u0120\43\0\1\u011b\25\0"+
    "\1\u011b\43\0\1\u011d\25\0\1\u011d\53\0\1\u011f\25\0"+
    "\1\u011f\21\0\6\u0118\1\u0121\1\u0118\1\u0121\7\322\2\u0118"+
    "\23\0\3\u0118\22\0\4\u0118\6\0\1\202\1\0\1\202"+
    "\73\0\1\202\1\0\1\202\11\0\1\u0122\22\72\3\0"+
    "\1\u0123\47\0\1\u0123\25\0\1\u0123\33\0\1\202\1\0"+
    "\1\202\11\0\4\72\1\203\11\72\1\u0124\4\72\7\0"+
    "\1\204\10\0\1\u0125\36\0\1\204\11\0\1\u0125\13\0"+
    "\1\204\10\0\1\u0125\30\0\1\u0126\111\0\1\u0127\25\0"+
    "\1\u0127\54\0\1\u0128\24\0\1\u0128\5\0\1\u0128\7\0"+
    "\1\u0129\1\0\1\u0129\11\0\23\333\37\0\1\u0129\1\0"+
    "\1\u0129\11\0\4\333\1\u012a\16\333\7\0\1\u012b\27\0"+
    "\1\u0129\1\0\1\u0129\11\0\1\u012c\22\333\3\0\1\u012d"+
    "\33\0\1\u0129\1\0\1\u0129\11\0\4\333\1\u012e\16\333"+
    "\7\0\1\u012f\47\0\1\u012b\25\0\1\u012b\43\0\1\u012d"+
    "\25\0\1\u012d\53\0\1\u012f\25\0\1\u012f\27\0\1\220"+
    "\1\0\1\220\73\0\1\220\1\0\1\220\11\0\1\u0130"+
    "\22\117\3\0\1\u0131\47\0\1\u0131\25\0\1\u0131\33\0"+
    "\1\220\1\0\1\220\11\0\4\117\1\221\11\117\1\u0132"+
    "\4\117\7\0\1\222\10\0\1\u0133\36\0\1\222\11\0"+
    "\1\u0133\13\0\1\222\10\0\1\u0133\16\0\1\220\1\0"+
    "\1\220\11\0\4\135\1\234\11\135\1\u0134\4\135\7\0"+
    "\1\222\10\0\1\u0133\32\0\21\22\1\u0135\1\22\23\0"+
    "\1\u0136\50\0\1\u0136\24\0\1\u0136\25\0\1\u0137\63\0"+
    "\1\220\1\0\1\220\11\0\1\u0138\22\135\3\0\1\u0131"+
    "\47\0\16\22\1\u0139\4\22\20\0\1\u013a\50\0\1\u013a"+
    "\24\0\1\u013a\30\0\1\u013b\115\0\1\u013c\24\0\1\u013c"+
    "\11\0\3\361\15\0\1\362\112\0\1\u013d\25\0\1\u013d"+
    "\12\0\3\361\15\0\1\362\23\244\7\0\1\361\47\0"+
    "\1\361\25\0\1\361\22\0\3\361\15\0\1\362\23\244"+
    "\10\0\1\361\47\0\1\361\25\0\1\361\21\0\3\361"+
    "\15\0\1\362\1\u013e\22\244\3\0\1\u013f\47\0\1\u013f"+
    "\25\0\1\u013f\36\0\7\253\64\0\1\371\1\0\1\371"+
    "\11\0\23\254\7\0\1\u0140\47\0\1\u0140\25\0\1\u0140"+
    "\27\0\1\371\1\0\1\371\11\0\23\254\10\0\1\u0140"+
    "\47\0\1\u0140\25\0\1\u0140\26\0\1\371\1\0\1\371"+
    "\11\0\1\u0141\22\254\3\0\1\u0142\47\0\1\u0142\25\0"+
    "\1\u0142\33\0\1\160\1\0\1\160\11\0\4\45\1\u0143"+
    "\16\45\7\0\1\u0144\47\0\1\u0144\25\0\1\u0144\32\0"+
    "\7\u0145\2\0\4\u0146\1\u0147\1\u0148\11\u0146\1\u0149\3\u0146"+
    "\7\0\1\u014a\1\u014b\10\0\1\u014c\5\0\1\u014c\7\0"+
    "\1\u0102\1\0\1\u0102\4\266\3\u014d\64\0\1\u0102\1\0"+
    "\1\u0102\7\u014d\64\0\1\u0102\1\0\1\u0102\3\u014d\4\266"+
    "\67\0\1\u014e\1\u014f\1\u0150\4\u014e\2\0\4\u0151\1\u0152"+
    "\1\u0153\11\u0151\1\u0154\3\u0151\7\0\1\u0155\1\u0156\10\0"+
    "\1\u0157\5\0\1\u0157\1\0\6\u0106\1\u0107\1\u0106\1\u0107"+
    "\7\0\2\u0106\23\271\3\u0106\10\0\1\u0158\11\0\4\u0106"+
    "\32\0\1\u0158\25\0\1\u0158\15\0\6\u0106\1\u0107\1\u0106"+
    "\1\u0107\7\0\2\u0106\23\271\3\u0106\16\0\1\u0158\3\0"+
    "\2\u0106\1\u0159\1\u0106\41\0\1\u0158\24\0\1\u0158\5\0"+
    "\1\u0158\1\0\6\u0106\1\u0107\1\u0106\1\u0107\7\0\2\u0106"+
    "\22\271\1\u015a\3\u0106\21\0\1\u015b\4\u0106\44\0\1\u015b"+
    "\24\0\1\u015b\35\0\1\u015c\25\0\1\u015c\15\0\1\u015c"+
    "\11\0\1\u0145\1\u015d\1\u015e\4\u0145\64\0\1\170\1\0"+
    "\1\170\11\0\21\55\1\u015f\1\55\23\0\1\u0160\50\0"+
    "\1\u0160\24\0\1\u0160\26\0\1\64\112\0\1\u0161\25\0"+
    "\1\u0161\22\0\7\u0162\2\0\4\u0163\1\u0164\1\u0165\11\u0163"+
    "\1\u0166\3\u0163\7\0\1\u0167\1\u0168\10\0\1\u0169\5\0"+
    "\1\u0169\7\0\1\u0114\1\0\1\u0114\4\307\3\u016a\64\0"+
    "\1\u0114\1\0\1\u0114\7\u016a\64\0\1\u0114\1\0\1\u0114"+
    "\3\u016a\4\307\67\0\1\u016b\1\u016c\1\u016d\4\u016b\2\0"+
    "\4\u016e\1\u016f\1\u0170\11\u016e\1\u0171\3\u016e\7\0\1\u0172"+
    "\1\u0173\10\0\1\u0174\5\0\1\u0174\1\0\6\u0118\1\u0119"+
    "\1\u0118\1\u0119\7\0\2\u0118\23\312\3\u0118\10\0\1\u0175"+
    "\11\0\4\u0118\32\0\1\u0175\25\0\1\u0175\15\0\6\u0118"+
    "\1\u0119\1\u0118\1\u0119\7\0\2\u0118\23\312\3\u0118\16\0"+
    "\1\u0175\3\0\2\u0118\1\u0176\1\u0118\41\0\1\u0175\24\0"+
    "\1\u0175\5\0\1\u0175\1\0\6\u0118\1\u0119\1\u0118\1\u0119"+
    "\7\0\2\u0118\22\312\1\u0177\3\u0118\21\0\1\u0178\4\u0118"+
    "\44\0\1\u0178\24\0\1\u0178\35\0\1\u0179\25\0\1\u0179"+
    "\15\0\1\u0179\11\0\1\u0162\1\u017a\1\u017b\4\u0162\64\0"+
    "\1\202\1\0\1\202\11\0\21\72\1\u017c\1\72\23\0"+
    "\1\u017d\50\0\1\u017d\24\0\1\u017d\13\0\1\202\1\0"+
    "\1\202\11\0\6\72\1\u017e\4\72\1\u017e\7\72\11\0"+
    "\1\66\4\0\1\66\7\0\1\66\32\0\1\66\4\0"+
    "\1\66\20\0\1\66\4\0\1\66\7\0\1\66\24\0"+
    "\23\u017f\2\0\1\u017f\64\0\1\u0180\25\0\1\u0180\33\0"+
    "\4\u0181\1\u0182\1\u0183\11\u0181\1\u0184\3\u0181\7\0\1\u0185"+
    "\1\u0186\10\0\1\u0187\5\0\1\u0187\7\0\1\u0129\1\0"+
    "\1\u0129\11\0\23\333\13\0\1\u0188\47\0\1\u0188\25\0"+
    "\1\u0188\23\0\1\u0129\1\0\1\u0129\11\0\23\333\21\0"+
    "\1\u0188\5\0\1\u0188\42\0\1\u0188\24\0\1\u0188\5\0"+
    "\1\u0188\7\0\1\u0129\1\0\1\u0129\11\0\22\333\1\u0189"+
    "\24\0\1\u018a\50\0\1\u018a\24\0\1\u018a\12\0\1\220"+
    "\1\0\1\220\11\0\21\117\1\u018b\1\117\23\0\1\u018c"+
    "\50\0\1\u018c\24\0\1\u018c\13\0\1\220\1\0\1\220"+
    "\11\0\6\117\1\u018d\4\117\1\u018d\7\117\11\0\1\113"+
    "\4\0\1\113\7\0\1\113\32\0\1\113\4\0\1\113"+
    "\20\0\1\113\4\0\1\113\7\0\1\113\10\0\1\220"+
    "\1\0\1\220\11\0\6\135\1\u018e\4\135\1\u018e\7\135"+
    "\11\0\1\113\4\0\1\113\7\0\1\113\24\0\23\22"+
    "\22\0\1\215\50\0\1\215\24\0\1\215\30\0\23\u018f"+
    "\2\0\1\u018f\34\0\1\220\1\0\1\220\11\0\21\135"+
    "\1\u0190\1\135\23\0\1\u018c\27\0\23\22\11\0\1\150"+
    "\4\0\1\150\7\0\1\150\32\0\1\150\4\0\1\150"+
    "\20\0\1\150\4\0\1\150\7\0\1\150\24\0\2\u018f"+
    "\1\u0191\20\u018f\2\0\1\u018f\2\0\1\u0192\53\0\1\156"+
    "\4\0\1\156\20\0\1\156\4\0\1\156\7\0\1\156"+
    "\43\0\1\u0193\24\0\1\u0193\5\0\1\u0193\2\0\3\361"+
    "\15\0\1\362\22\244\1\u0194\24\0\1\u0195\50\0\1\u0195"+
    "\24\0\1\u0195\12\0\1\371\1\0\1\371\73\0\1\371"+
    "\1\0\1\371\11\0\22\254\1\u0196\24\0\1\u0197\50\0"+
    "\1\u0197\24\0\1\u0197\12\0\1\160\1\0\1\160\11\0"+
    "\23\45\21\0\1\263\5\0\1\263\42\0\1\263\24\0"+
    "\1\263\5\0\1\263\1\0\6\u0198\1\0\1\u0198\1\0"+
    "\7\u0145\2\u0198\23\0\3\u0198\22\0\12\u0198\1\u0199\1\u0198"+
    "\1\u0199\7\0\2\u0198\23\u0146\3\u0198\22\0\12\u0198\1\u0199"+
    "\1\u0198\1\u0199\7\0\2\u0198\4\u0146\1\u019a\16\u0146\3\u0198"+
    "\4\0\1\u019b\15\0\12\u0198\1\u0199\1\u0198\1\u0199\7\0"+
    "\2\u0198\1\u019c\22\u0146\3\u0198\1\u019d\21\0\12\u0198\1\u0199"+
    "\1\u0198\1\u0199\7\0\2\u0198\4\u0146\1\u019e\16\u0146\3\u0198"+
    "\4\0\1\u019f\15\0\4\u0198\26\0\1\u019b\25\0\1\u019b"+
    "\43\0\1\u019d\25\0\1\u019d\53\0\1\u019f\25\0\1\u019f"+
    "\27\0\1\u0102\1\0\1\u0102\7\u01a0\56\0\6\u0198\1\0"+
    "\1\u0198\1\0\7\u01a1\2\u0198\23\0\3\u0198\22\0\12\u0198"+
    "\1\0\1\u0198\1\0\5\u01a1\1\u01a2\1\u01a3\2\u0198\23\0"+
    "\3\u0198\22\0\12\u0198\1\0\1\u0198\1\0\1\u01a4\6\u01a1"+
    "\2\u0198\23\0\3\u0198\22\0\4\u0198\6\u0106\1\0\1\u0106"+
    "\10\0\2\u0106\23\u0151\3\u0106\22\0\12\u0106\1\0\1\u0106"+
    "\10\0\2\u0106\4\u0151\1\u01a5\16\u0151\3\u0106\4\0\1\u01a6"+
    "\15\0\12\u0106\1\0\1\u0106\10\0\2\u0106\1\u01a7\22\u0151"+
    "\3\u0106\1\u01a8\21\0\12\u0106\1\0\1\u0106\10\0\2\u0106"+
    "\4\u0151\1\u01a9\16\u0151\3\u0106\4\0\1\u01aa\15\0\4\u0106"+
    "\26\0\1\u01a6\25\0\1\u01a6\43\0\1\u01a8\25\0\1\u01a8"+
    "\53\0\1\u01aa\25\0\1\u01aa\21\0\6\u0106\1\u0107\1\u0106"+
    "\1\u0107\7\0\2\u0106\23\0\3\u0106\22\0\12\u0106\1\u0107"+
    "\1\u0106\1\u0107\7\0\2\u0106\1\u01ab\22\271\3\u0106\1\u01ac"+
    "\21\0\4\u0106\22\0\1\u01ac\25\0\1\u01ac\61\0\1\u01ad"+
    "\25\0\1\u01ad\13\0\6\u0198\1\0\1\u0198\1\0\5\u0145"+
    "\1\u01ae\1\u01af\2\u0198\23\0\3\u0198\22\0\12\u0198\1\0"+
    "\1\u0198\1\0\1\u01b0\6\u0145\2\u0198\23\0\3\u0198\22\0"+
    "\4\u0198\6\0\1\170\1\0\1\170\11\0\23\55\22\0"+
    "\1\302\50\0\1\302\24\0\1\302\27\0\1\66\54\0"+
    "\6\u01b1\1\0\1\u01b1\1\0\7\u0162\2\u01b1\23\0\3\u01b1"+
    "\22\0\12\u01b1\1\u01b2\1\u01b1\1\u01b2\7\0\2\u01b1\23\u0163"+
    "\3\u01b1\22\0\12\u01b1\1\u01b2\1\u01b1\1\u01b2\7\0\2\u01b1"+
    "\4\u0163\1\u01b3\16\u0163\3\u01b1\4\0\1\u01b4\15\0\12\u01b1"+
    "\1\u01b2\1\u01b1\1\u01b2\7\0\2\u01b1\1\u01b5\22\u0163\3\u01b1"+
    "\1\u01b6\21\0\12\u01b1\1\u01b2\1\u01b1\1\u01b2\7\0\2\u01b1"+
    "\4\u0163\1\u01b7\16\u0163\3\u01b1\4\0\1\u01b8\15\0\4\u01b1"+
    "\26\0\1\u01b4\25\0\1\u01b4\43\0\1\u01b6\25\0\1\u01b6"+
    "\53\0\1\u01b8\25\0\1\u01b8\27\0\1\u0114\1\0\1\u0114"+
    "\7\u01b9\56\0\6\u01b1\1\0\1\u01b1\1\0\7\u01ba\2\u01b1"+
    "\23\0\3\u01b1\22\0\12\u01b1\1\0\1\u01b1\1\0\5\u01ba"+
    "\1\u01bb\1\u01bc\2\u01b1\23\0\3\u01b1\22\0\12\u01b1\1\0"+
    "\1\u01b1\1\0\1\u01bd\6\u01ba\2\u01b1\23\0\3\u01b1\22\0"+
    "\4\u01b1\6\u0118\1\0\1\u0118\10\0\2\u0118\23\u016e\3\u0118"+
    "\22\0\12\u0118\1\0\1\u0118\10\0\2\u0118\4\u016e\1\u01be"+
    "\16\u016e\3\u0118\4\0\1\u01bf\15\0\12\u0118\1\0\1\u0118"+
    "\10\0\2\u0118\1\u01c0\22\u016e\3\u0118\1\u01c1\21\0\12\u0118"+
    "\1\0\1\u0118\10\0\2\u0118\4\u016e\1\u01c2\16\u016e\3\u0118"+
    "\4\0\1\u01c3\15\0\4\u0118\26\0\1\u01bf\25\0\1\u01bf"+
    "\43\0\1\u01c1\25\0\1\u01c1\53\0\1\u01c3\25\0\1\u01c3"+
    "\21\0\6\u0118\1\u0119\1\u0118\1\u0119\7\0\2\u0118\23\0"+
    "\3\u0118\22\0\12\u0118\1\u0119\1\u0118\1\u0119\7\0\2\u0118"+
    "\1\u01c4\22\312\3\u0118\1\u01c5\21\0\4\u0118\22\0\1\u01c5"+
    "\25\0\1\u01c5\61\0\1\u01c6\25\0\1\u01c6\13\0\6\u01b1"+
    "\1\0\1\u01b1\1\0\5\u0162\1\u01c7\1\u01c8\2\u01b1\23\0"+
    "\3\u01b1\22\0\12\u01b1\1\0\1\u01b1\1\0\1\u01c9\6\u0162"+
    "\2\u01b1\23\0\3\u01b1\22\0\4\u01b1\6\0\1\202\1\0"+
    "\1\202\11\0\23\72\22\0\1\323\50\0\1\323\24\0"+
    "\1\323\7\0\3\66\1\0\1\67\1\202\1\0\1\202"+
    "\7\71\2\0\4\72\1\73\1\74\11\72\1\76\3\72"+
    "\7\0\1\100\1\101\10\0\1\103\5\0\1\103\21\0"+
    "\1\u01ca\1\0\23\u017f\2\0\1\u017f\47\0\1\113\76\0"+
    "\23\u0181\53\0\4\u0181\1\u01cb\16\u0181\7\0\1\u01cc\43\0"+
    "\1\u01cd\22\u0181\3\0\1\u01ce\47\0\4\u0181\1\u01cf\16\u0181"+
    "\7\0\1\u01d0\47\0\1\u01cc\25\0\1\u01cc\43\0\1\u01ce"+
    "\25\0\1\u01ce\53\0\1\u01d0\25\0\1\u01d0\27\0\1\u0129"+
    "\1\0\1\u0129\73\0\1\u0129\1\0\1\u0129\11\0\1\u01d1"+
    "\22\333\3\0\1\u01d2\47\0\1\u01d2\25\0\1\u01d2\33\0"+
    "\1\220\1\0\1\220\11\0\23\117\22\0\1\343\50\0"+
    "\1\343\24\0\1\343\7\0\3\113\1\0\1\114\1\220"+
    "\1\0\1\220\7\116\2\0\4\117\1\120\1\121\11\117"+
    "\1\123\3\117\7\0\1\125\1\126\10\0\1\130\5\0"+
    "\1\130\2\0\3\113\1\0\1\114\1\220\1\0\1\220"+
    "\7\116\2\0\4\135\1\136\1\137\11\135\1\141\3\135"+
    "\7\0\1\125\1\126\10\0\1\130\5\0\1\130\21\0"+
    "\1\u01d3\1\0\23\u018f\2\0\1\u018f\34\0\1\220\1\0"+
    "\1\220\11\0\23\135\22\0\1\343\26\0\1\u01d3\1\0"+
    "\10\u018f\1\u01d4\12\u018f\2\0\1\u018f\10\0\1\u01d5\47\0"+
    "\1\u01d5\25\0\1\u01d5\40\0\1\u01d6\25\0\1\u01d6\25\0"+
    "\3\361\15\0\1\362\4\244\1\u01d7\16\244\7\0\1\u01d8"+
    "\47\0\1\u01d8\25\0\1\u01d8\27\0\1\371\1\0\1\371"+
    "\11\0\4\254\1\u01d9\16\254\7\0\1\u01da\47\0\1\u01da"+
    "\25\0\1\u01da\43\0\4\u01db\1\u01dc\1\u01dd\11\u01db\1\u01de"+
    "\3\u01db\7\0\1\u01df\1\u01e0\10\0\1\u01e1\5\0\1\u01e1"+
    "\1\0\6\u0198\1\u0199\1\u0198\1\u0199\7\0\2\u0198\23\u0146"+
    "\3\u0198\10\0\1\u01e2\11\0\4\u0198\32\0\1\u01e2\25\0"+
    "\1\u01e2\15\0\6\u0198\1\u0199\1\u0198\1\u0199\7\0\2\u0198"+
    "\23\u0146\3\u0198\16\0\1\u01e2\3\0\2\u0198\1\u01e3\1\u0198"+
    "\41\0\1\u01e2\24\0\1\u01e2\5\0\1\u01e2\1\0\6\u0198"+
    "\1\u0199\1\u0198\1\u0199\7\0\2\u0198\22\u0146\1\u01e4\3\u0198"+
    "\21\0\1\u01e5\4\u0198\44\0\1\u01e5\24\0\1\u01e5\12\0"+
    "\1\u01e6\1\0\1\u01e6\7\266\56\0\6\u01e7\1\0\1\u01e7"+
    "\1\0\7\u0145\2\u01e7\23\0\3\u01e7\22\0\12\u01e7\1\0"+
    "\1\u01e7\1\0\4\u0145\3\u014e\2\u01e7\23\0\3\u01e7\22\0"+
    "\12\u01e7\1\0\1\u01e7\1\0\7\u014e\2\u01e7\23\0\3\u01e7"+
    "\22\0\12\u01e7\1\0\1\u01e7\1\0\3\u014e\4\u0145\2\u01e7"+
    "\23\0\3\u01e7\22\0\4\u01e7\6\u0106\1\0\1\u0106\10\0"+
    "\2\u0106\23\u0151\3\u0106\10\0\1\u01e8\11\0\4\u0106\32\0"+
    "\1\u01e8\25\0\1\u01e8\15\0\6\u0106\1\0\1\u0106\10\0"+
    "\2\u0106\23\u0151\3\u0106\16\0\1\u01e8\3\0\2\u0106\1\u01e9"+
    "\1\u0106\41\0\1\u01e8\24\0\1\u01e8\5\0\1\u01e8\1\0"+
    "\6\u0106\1\0\1\u0106\10\0\2\u0106\22\u0151\1\u01ea\3\u0106"+
    "\21\0\1\u01eb\4\u0106\44\0\1\u01eb\24\0\1\u01eb\4\0"+
    "\6\u0106\1\u0107\1\u0106\1\u0107\7\0\2\u0106\21\271\1\u01ec"+
    "\1\271\3\u0106\20\0\1\u01ed\1\0\4\u0106\43\0\1\u01ed"+
    "\24\0\1\u01ed\25\0\1\u01ee\55\0\6\u0198\1\0\1\u0198"+
    "\1\0\4\u0145\3\u014e\2\u0198\23\0\3\u0198\22\0\12\u0198"+
    "\1\0\1\u0198\1\0\7\u014e\2\u0198\23\0\3\u0198\22\0"+
    "\12\u0198\1\0\1\u0198\1\0\3\u014e\4\u0145\2\u0198\23\0"+
    "\3\u0198\22\0\4\u0198\22\0\4\u01ef\1\u01f0\1\u01f1\11\u01ef"+
    "\1\u01f2\3\u01ef\7\0\1\u01f3\1\u01f4\10\0\1\u01f5\5\0"+
    "\1\u01f5\1\0\6\u01b1\1\u01b2\1\u01b1\1\u01b2\7\0\2\u01b1"+
    "\23\u0163\3\u01b1\10\0\1\u01f6\11\0\4\u01b1\32\0\1\u01f6"+
    "\25\0\1\u01f6\15\0\6\u01b1\1\u01b2\1\u01b1\1\u01b2\7\0"+
    "\2\u01b1\23\u0163\3\u01b1\16\0\1\u01f6\3\0\2\u01b1\1\u01f7"+
    "\1\u01b1\41\0\1\u01f6\24\0\1\u01f6\5\0\1\u01f6\1\0"+
    "\6\u01b1\1\u01b2\1\u01b1\1\u01b2\7\0\2\u01b1\22\u0163\1\u01f8"+
    "\3\u01b1\21\0\1\u01f9\4\u01b1\44\0\1\u01f9\24\0\1\u01f9"+
    "\12\0\1\u01fa\1\0\1\u01fa\7\307\56\0\6\u01fb\1\0"+
    "\1\u01fb\1\0\7\u0162\2\u01fb\23\0\3\u01fb\22\0\12\u01fb"+
    "\1\0\1\u01fb\1\0\4\u0162\3\u016b\2\u01fb\23\0\3\u01fb"+
    "\22\0\12\u01fb\1\0\1\u01fb\1\0\7\u016b\2\u01fb\23\0"+
    "\3\u01fb\22\0\12\u01fb\1\0\1\u01fb\1\0\3\u016b\4\u0162"+
    "\2\u01fb\23\0\3\u01fb\22\0\4\u01fb\6\u0118\1\0\1\u0118"+
    "\10\0\2\u0118\23\u016e\3\u0118\10\0\1\u01fc\11\0\4\u0118"+
    "\32\0\1\u01fc\25\0\1\u01fc\15\0\6\u0118\1\0\1\u0118"+
    "\10\0\2\u0118\23\u016e\3\u0118\16\0\1\u01fc\3\0\2\u0118"+
    "\1\u01fd\1\u0118\41\0\1\u01fc\24\0\1\u01fc\5\0\1\u01fc"+
    "\1\0\6\u0118\1\0\1\u0118\10\0\2\u0118\22\u016e\1\u01fe"+
    "\3\u0118\21\0\1\u01ff\4\u0118\44\0\1\u01ff\24\0\1\u01ff"+
    "\4\0\6\u0118\1\u0119\1\u0118\1\u0119\7\0\2\u0118\21\312"+
    "\1\u0200\1\312\3\u0118\20\0\1\u0201\1\0\4\u0118\43\0"+
    "\1\u0201\24\0\1\u0201\25\0\1\u0202\55\0\6\u01b1\1\0"+
    "\1\u01b1\1\0\4\u0162\3\u016b\2\u01b1\23\0\3\u01b1\22\0"+
    "\12\u01b1\1\0\1\u01b1\1\0\7\u016b\2\u01b1\23\0\3\u01b1"+
    "\22\0\12\u01b1\1\0\1\u01b1\1\0\3\u016b\4\u0162\2\u01b1"+
    "\23\0\3\u01b1\22\0\4\u01b1\2\u01ca\3\0\13\u01ca\1\u0203"+
    "\24\u01ca\2\0\27\u01ca\22\0\23\u0181\13\0\1\u0204\47\0"+
    "\1\u0204\25\0\1\u0204\37\0\23\u0181\21\0\1\u0204\5\0"+
    "\1\u0204\42\0\1\u0204\24\0\1\u0204\5\0\1\u0204\23\0"+
    "\22\u0181\1\u0205\24\0\1\u0206\50\0\1\u0206\24\0\1\u0206"+
    "\12\0\1\u0129\1\0\1\u0129\11\0\21\333\1\u0207\1\333"+
    "\23\0\1\u0208\50\0\1\u0208\24\0\1\u0208\5\0\2\u01d3"+
    "\3\0\13\u01d3\1\u0209\24\u01d3\2\0\27\u01d3\20\0\1\u01d3"+
    "\1\0\23\u018f\2\0\1\u020a\75\0\1\u020b\62\0\1\u020c"+
    "\25\0\1\u020c\14\0\3\361\15\0\1\362\23\244\21\0"+
    "\1\361\5\0\1\361\42\0\1\361\24\0\1\361\5\0"+
    "\1\361\7\0\1\371\1\0\1\371\11\0\23\254\21\0"+
    "\1\u0140\5\0\1\u0140\42\0\1\u0140\24\0\1\u0140\5\0"+
    "\1\u0140\1\0\6\u0198\1\0\1\u0198\10\0\2\u0198\23\u01db"+
    "\3\u0198\22\0\12\u0198\1\0\1\u0198\10\0\2\u0198\4\u01db"+
    "\1\u020d\16\u01db\3\u0198\4\0\1\u020e\15\0\12\u0198\1\0"+
    "\1\u0198\10\0\2\u0198\1\u020f\22\u01db\3\u0198\1\u0210\21\0"+
    "\12\u0198\1\0\1\u0198\10\0\2\u0198\4\u01db\1\u0211\16\u01db"+
    "\3\u0198\4\0\1\u0212\15\0\4\u0198\26\0\1\u020e\25\0"+
    "\1\u020e\43\0\1\u0210\25\0\1\u0210\53\0\1\u0212\25\0"+
    "\1\u0212\21\0\6\u0198\1\u0199\1\u0198\1\u0199\7\0\2\u0198"+
    "\23\0\3\u0198\22\0\12\u0198\1\u0199\1\u0198\1\u0199\7\0"+
    "\2\u0198\1\u0213\22\u0146\3\u0198\1\u0214\21\0\4\u0198\22\0"+
    "\1\u0214\25\0\1\u0214\36\0\7\u0145\2\0\4\u0215\1\u0216"+
    "\1\u0217\11\u0215\1\u0218\3\u0215\7\0\1\u0219\1\u021a\10\0"+
    "\1\u021b\5\0\1\u021b\1\0\6\u0106\1\0\1\u0106\10\0"+
    "\2\u0106\23\0\3\u0106\22\0\12\u0106\1\0\1\u0106\10\0"+
    "\2\u0106\1\u021c\22\u0151\3\u0106\1\u021d\21\0\4\u0106\22\0"+
    "\1\u021d\25\0\1\u021d\25\0\6\u0106\1\u0107\1\u0106\1\u0107"+
    "\7\0\2\u0106\23\271\3\u0106\17\0\1\u0158\2\0\4\u0106"+
    "\42\0\1\u0158\24\0\1\u0158\32\0\1\u021e\25\0\1\u021e"+
    "\23\0\6\u01b1\1\0\1\u01b1\10\0\2\u01b1\23\u01ef\3\u01b1"+
    "\22\0\12\u01b1\1\0\1\u01b1\10\0\2\u01b1\4\u01ef\1\u021f"+
    "\16\u01ef\3\u01b1\4\0\1\u0220\15\0\12\u01b1\1\0\1\u01b1"+
    "\10\0\2\u01b1\1\u0221\22\u01ef\3\u01b1\1\u0222\21\0\12\u01b1"+
    "\1\0\1\u01b1\10\0\2\u01b1\4\u01ef\1\u0223\16\u01ef\3\u01b1"+
    "\4\0\1\u0224\15\0\4\u01b1\26\0\1\u0220\25\0\1\u0220"+
    "\43\0\1\u0222\25\0\1\u0222\53\0\1\u0224\25\0\1\u0224"+
    "\21\0\6\u01b1\1\u01b2\1\u01b1\1\u01b2\7\0\2\u01b1\23\0"+
    "\3\u01b1\22\0\12\u01b1\1\u01b2\1\u01b1\1\u01b2\7\0\2\u01b1"+
    "\1\u0225\22\u0163\3\u01b1\1\u0226\21\0\4\u01b1\22\0\1\u0226"+
    "\25\0\1\u0226\36\0\7\u0162\2\0\4\u0227\1\u0228\1\u0229"+
    "\11\u0227\1\u022a\3\u0227\7\0\1\u022b\1\u022c\10\0\1\u022d"+
    "\5\0\1\u022d\1\0\6\u0118\1\0\1\u0118\10\0\2\u0118"+
    "\23\0\3\u0118\22\0\12\u0118\1\0\1\u0118\10\0\2\u0118"+
    "\1\u022e\22\u016e\3\u0118\1\u022f\21\0\4\u0118\22\0\1\u022f"+
    "\25\0\1\u022f\25\0\6\u0118\1\u0119\1\u0118\1\u0119\7\0"+
    "\2\u0118\23\312\3\u0118\17\0\1\u0175\2\0\4\u0118\42\0"+
    "\1\u0175\24\0\1\u0175\32\0\1\u0230\25\0\1\u0230\34\0"+
    "\7\u0231\100\0\1\u0232\22\u0181\3\0\1\u0233\47\0\1\u0233"+
    "\25\0\1\u0233\33\0\1\u0129\1\0\1\u0129\11\0\23\333"+
    "\22\0\1\u0188\50\0\1\u0188\24\0\1\u0188\17\0\7\u0234"+
    "\76\0\1\u01d3\1\0\17\u018f\1\u0235\3\u018f\2\0\1\u018f"+
    "\16\0\1\u0236\5\0\1\u0236\42\0\1\u0236\24\0\1\u0236"+
    "\5\0\1\u0236\6\0\1\361\70\0\6\u0198\1\0\1\u0198"+
    "\10\0\2\u0198\23\u01db\3\u0198\10\0\1\u0237\11\0\4\u0198"+
    "\32\0\1\u0237\25\0\1\u0237\15\0\6\u0198\1\0\1\u0198"+
    "\10\0\2\u0198\23\u01db\3\u0198\16\0\1\u0237\3\0\2\u0198"+
    "\1\u0238\1\u0198\41\0\1\u0237\24\0\1\u0237\5\0\1\u0237"+
    "\1\0\6\u0198\1\0\1\u0198\10\0\2\u0198\22\u01db\1\u0239"+
    "\3\u0198\21\0\1\u023a\4\u0198\44\0\1\u023a\24\0\1\u023a"+
    "\4\0\6\u0198\1\u0199\1\u0198\1\u0199\7\0\2\u0198\21\u0146"+
    "\1\u023b\1\u0146\3\u0198\20\0\1\u023c\1\0\4\u0198\43\0"+
    "\1\u023c\24\0\1\u023c\5\0\6\u01e7\1\u023d\1\u01e7\1\u023d"+
    "\7\0\2\u01e7\23\u0215\3\u01e7\22\0\12\u01e7\1\u023d\1\u01e7"+
    "\1\u023d\7\0\2\u01e7\4\u0215\1\u023e\16\u0215\3\u01e7\4\0"+
    "\1\u023f\15\0\12\u01e7\1\u023d\1\u01e7\1\u023d\7\0\2\u01e7"+
    "\1\u0240\22\u0215\3\u01e7\1\u0241\21\0\12\u01e7\1\u023d\1\u01e7"+
    "\1\u023d\7\0\2\u01e7\4\u0215\1\u0242\16\u0215\3\u01e7\4\0"+
    "\1\u0243\15\0\4\u01e7\26\0\1\u023f\25\0\1\u023f\43\0"+
    "\1\u0241\25\0\1\u0241\53\0\1\u0243\25\0\1\u0243\21\0"+
    "\6\u0106\1\0\1\u0106\10\0\2\u0106\21\u0151\1\u0244\1\u0151"+
    "\3\u0106\20\0\1\u0245\1\0\4\u0106\43\0\1\u0245\24\0"+
    "\1\u0245\37\0\1\u0246\25\0\1\u0246\15\0\6\u01b1\1\0"+
    "\1\u01b1\10\0\2\u01b1\23\u01ef\3\u01b1\10\0\1\u0247\11\0"+
    "\4\u01b1\32\0\1\u0247\25\0\1\u0247\15\0\6\u01b1\1\0"+
    "\1\u01b1\10\0\2\u01b1\23\u01ef\3\u01b1\16\0\1\u0247\3\0"+
    "\2\u01b1\1\u0248\1\u01b1\41\0\1\u0247\24\0\1\u0247\5\0"+
    "\1\u0247\1\0\6\u01b1\1\0\1\u01b1\10\0\2\u01b1\22\u01ef"+
    "\1\u0249\3\u01b1\21\0\1\u024a\4\u01b1\44\0\1\u024a\24\0"+
    "\1\u024a\4\0\6\u01b1\1\u01b2\1\u01b1\1\u01b2\7\0\2\u01b1"+
    "\21\u0163\1\u024b\1\u0163\3\u01b1\20\0\1\u024c\1\0\4\u01b1"+
    "\43\0\1\u024c\24\0\1\u024c\5\0\6\u01fb\1\u024d\1\u01fb"+
    "\1\u024d\7\0\2\u01fb\23\u0227\3\u01fb\22\0\12\u01fb\1\u024d"+
    "\1\u01fb\1\u024d\7\0\2\u01fb\4\u0227\1\u024e\16\u0227\3\u01fb"+
    "\4\0\1\u024f\15\0\12\u01fb\1\u024d\1\u01fb\1\u024d\7\0"+
    "\2\u01fb\1\u0250\22\u0227\3\u01fb\1\u0251\21\0\12\u01fb\1\u024d"+
    "\1\u01fb\1\u024d\7\0\2\u01fb\4\u0227\1\u0252\16\u0227\3\u01fb"+
    "\4\0\1\u0253\15\0\4\u01fb\26\0\1\u024f\25\0\1\u024f"+
    "\43\0\1\u0251\25\0\1\u0251\53\0\1\u0253\25\0\1\u0253"+
    "\21\0\6\u0118\1\0\1\u0118\10\0\2\u0118\21\u016e\1\u0254"+
    "\1\u016e\3\u0118\20\0\1\u0255\1\0\4\u0118\43\0\1\u0255"+
    "\24\0\1\u0255\37\0\1\u0256\25\0\1\u0256\26\0\7\u0231"+
    "\26\0\1\u0257\51\0\21\u0181\1\u0258\1\u0181\23\0\1\u0259"+
    "\50\0\1\u0259\24\0\1\u0259\16\0\7\u0234\26\0\1\u025a"+
    "\47\0\1\u01d3\1\0\4\u018f\1\u025b\16\u018f\2\0\1\u018f"+
    "\4\0\1\u025c\47\0\1\u025c\25\0\1\u025c\21\0\6\u0198"+
    "\1\0\1\u0198\10\0\2\u0198\23\0\3\u0198\22\0\12\u0198"+
    "\1\0\1\u0198\10\0\2\u0198\1\u025d\22\u01db\3\u0198\1\u025e"+
    "\21\0\4\u0198\22\0\1\u025e\25\0\1\u025e\25\0\6\u0198"+
    "\1\u0199\1\u0198\1\u0199\7\0\2\u0198\23\u0146\3\u0198\17\0"+
    "\1\u01e2\2\0\4\u0198\42\0\1\u01e2\24\0\1\u01e2\30\0"+
    "\4\u025f\1\u0260\1\u0261\11\u025f\1\u0262\3\u025f\7\0\1\u0263"+
    "\1\u0264\10\0\1\u0265\5\0\1\u0265\1\0\6\u01e7\1\u023d"+
    "\1\u01e7\1\u023d\7\0\2\u01e7\23\u0215\3\u01e7\10\0\1\u0266"+
    "\11\0\4\u01e7\32\0\1\u0266\25\0\1\u0266\15\0\6\u01e7"+
    "\1\u023d\1\u01e7\1\u023d\7\0\2\u01e7\23\u0215\3\u01e7\16\0"+
    "\1\u0266\3\0\2\u01e7\1\u0267\1\u01e7\41\0\1\u0266\24\0"+
    "\1\u0266\5\0\1\u0266\1\0\6\u01e7\1\u023d\1\u01e7\1\u023d"+
    "\7\0\2\u01e7\22\u0215\1\u0268\3\u01e7\21\0\1\u0269\4\u01e7"+
    "\44\0\1\u0269\24\0\1\u0269\4\0\6\u0106\1\0\1\u0106"+
    "\10\0\2\u0106\23\u0151\3\u0106\17\0\1\u01e8\2\0\4\u0106"+
    "\42\0\1\u01e8\24\0\1\u01e8\55\0\1\u026a\26\0\6\u01b1"+
    "\1\0\1\u01b1\10\0\2\u01b1\23\0\3\u01b1\22\0\12\u01b1"+
    "\1\0\1\u01b1\10\0\2\u01b1\1\u026b\22\u01ef\3\u01b1\1\u026c"+
    "\21\0\4\u01b1\22\0\1\u026c\25\0\1\u026c\25\0\6\u01b1"+
    "\1\u01b2\1\u01b1\1\u01b2\7\0\2\u01b1\23\u0163\3\u01b1\17\0"+
    "\1\u01f6\2\0\4\u01b1\42\0\1\u01f6\24\0\1\u01f6\30\0"+
    "\4\u026d\1\u026e\1\u026f\11\u026d\1\u0270\3\u026d\7\0\1\u0271"+
    "\1\u0272\10\0\1\u0273\5\0\1\u0273\1\0\6\u01fb\1\u024d"+
    "\1\u01fb\1\u024d\7\0\2\u01fb\23\u0227\3\u01fb\10\0\1\u0274"+
    "\11\0\4\u01fb\32\0\1\u0274\25\0\1\u0274\15\0\6\u01fb"+
    "\1\u024d\1\u01fb\1\u024d\7\0\2\u01fb\23\u0227\3\u01fb\16\0"+
    "\1\u0274\3\0\2\u01fb\1\u0275\1\u01fb\41\0\1\u0274\24\0"+
    "\1\u0274\5\0\1\u0274\1\0\6\u01fb\1\u024d\1\u01fb\1\u024d"+
    "\7\0\2\u01fb\22\u0227\1\u0276\3\u01fb\21\0\1\u0277\4\u01fb"+
    "\44\0\1\u0277\24\0\1\u0277\4\0\6\u0118\1\0\1\u0118"+
    "\10\0\2\u0118\23\u016e\3\u0118\17\0\1\u01fc\2\0\4\u0118"+
    "\42\0\1\u01fc\24\0\1\u01fc\55\0\1\u0278\50\0\23\u0181"+
    "\22\0\1\u0204\50\0\1\u0204\24\0\1\u0204\6\0\45\u0279"+
    "\1\0\30\u0279\20\0\1\u01d3\1\0\2\u018f\1\u027a\20\u018f"+
    "\2\0\1\u018f\2\0\1\u027b\47\0\1\u027b\25\0\1\u027b"+
    "\23\0\6\u0198\1\0\1\u0198\10\0\2\u0198\21\u01db\1\u027c"+
    "\1\u01db\3\u0198\20\0\1\u027d\1\0\4\u0198\43\0\1\u027d"+
    "\24\0\1\u027d\5\0\6\u01e7\1\0\1\u01e7\10\0\2\u01e7"+
    "\23\u025f\3\u01e7\22\0\12\u01e7\1\0\1\u01e7\10\0\2\u01e7"+
    "\4\u025f\1\u027e\16\u025f\3\u01e7\4\0\1\u027f\15\0\12\u01e7"+
    "\1\0\1\u01e7\10\0\2\u01e7\1\u0280\22\u025f\3\u01e7\1\u0281"+
    "\21\0\12\u01e7\1\0\1\u01e7\10\0\2\u01e7\4\u025f\1\u0282"+
    "\16\u025f\3\u01e7\4\0\1\u0283\15\0\4\u01e7\26\0\1\u027f"+
    "\25\0\1\u027f\43\0\1\u0281\25\0\1\u0281\53\0\1\u0283"+
    "\25\0\1\u0283\21\0\6\u01e7\1\u023d\1\u01e7\1\u023d\7\0"+
    "\2\u01e7\23\0\3\u01e7\22\0\12\u01e7\1\u023d\1\u01e7\1\u023d"+
    "\7\0\2\u01e7\1\u0284\22\u0215\3\u01e7\1\u0285\21\0\4\u01e7"+
    "\22\0\1\u0285\25\0\1\u0285\66\0\1\u0286\24\0\1\u0286"+
    "\5\0\1\u0286\1\0\6\u01b1\1\0\1\u01b1\10\0\2\u01b1"+
    "\21\u01ef\1\u0287\1\u01ef\3\u01b1\20\0\1\u0288\1\0\4\u01b1"+
    "\43\0\1\u0288\24\0\1\u0288\5\0\6\u01fb\1\0\1\u01fb"+
    "\10\0\2\u01fb\23\u026d\3\u01fb\22\0\12\u01fb\1\0\1\u01fb"+
    "\10\0\2\u01fb\4\u026d\1\u0289\16\u026d\3\u01fb\4\0\1\u028a"+
    "\15\0\12\u01fb\1\0\1\u01fb\10\0\2\u01fb\1\u028b\22\u026d"+
    "\3\u01fb\1\u028c\21\0\12\u01fb\1\0\1\u01fb\10\0\2\u01fb"+
    "\4\u026d\1\u028d\16\u026d\3\u01fb\4\0\1\u028e\15\0\4\u01fb"+
    "\26\0\1\u028a\25\0\1\u028a\43\0\1\u028c\25\0\1\u028c"+
    "\53\0\1\u028e\25\0\1\u028e\21\0\6\u01fb\1\u024d\1\u01fb"+
    "\1\u024d\7\0\2\u01fb\23\0\3\u01fb\22\0\12\u01fb\1\u024d"+
    "\1\u01fb\1\u024d\7\0\2\u01fb\1\u028f\22\u0227\3\u01fb\1\u0290"+
    "\21\0\4\u01fb\22\0\1\u0290\25\0\1\u0290\66\0\1\u0291"+
    "\24\0\1\u0291\5\0\1\u0291\1\0\45\u0279\1\u0292\30\u0279"+
    "\20\0\1\u01d3\1\0\20\u018f\1\u0293\2\u018f\2\0\1\u018f"+
    "\17\0\1\u0294\50\0\1\u0294\24\0\1\u0294\6\0\6\u0198"+
    "\1\0\1\u0198\10\0\2\u0198\23\u01db\3\u0198\17\0\1\u0237"+
    "\2\0\4\u0198\42\0\1\u0237\24\0\1\u0237\6\0\6\u01e7"+
    "\1\0\1\u01e7\10\0\2\u01e7\23\u025f\3\u01e7\10\0\1\u0295"+
    "\11\0\4\u01e7\32\0\1\u0295\25\0\1\u0295\15\0\6\u01e7"+
    "\1\0\1\u01e7\10\0\2\u01e7\23\u025f\3\u01e7\16\0\1\u0295"+
    "\3\0\2\u01e7\1\u0296\1\u01e7\41\0\1\u0295\24\0\1\u0295"+
    "\5\0\1\u0295\1\0\6\u01e7\1\0\1\u01e7\10\0\2\u01e7"+
    "\22\u025f\1\u0297\3\u01e7\21\0\1\u0298\4\u01e7\44\0\1\u0298"+
    "\24\0\1\u0298\4\0\6\u01e7\1\u023d\1\u01e7\1\u023d\7\0"+
    "\2\u01e7\21\u0215\1\u0299\1\u0215\3\u01e7\20\0\1\u029a\1\0"+
    "\4\u01e7\43\0\1\u029a\24\0\1\u029a\33\0\1\u029b\25\0"+
    "\1\u029b\21\0\6\u01b1\1\0\1\u01b1\10\0\2\u01b1\23\u01ef"+
    "\3\u01b1\17\0\1\u0247\2\0\4\u01b1\42\0\1\u0247\24\0"+
    "\1\u0247\6\0\6\u01fb\1\0\1\u01fb\10\0\2\u01fb\23\u026d"+
    "\3\u01fb\10\0\1\u029c\11\0\4\u01fb\32\0\1\u029c\25\0"+
    "\1\u029c\15\0\6\u01fb\1\0\1\u01fb\10\0\2\u01fb\23\u026d"+
    "\3\u01fb\16\0\1\u029c\3\0\2\u01fb\1\u029d\1\u01fb\41\0"+
    "\1\u029c\24\0\1\u029c\5\0\1\u029c\1\0\6\u01fb\1\0"+
    "\1\u01fb\10\0\2\u01fb\22\u026d\1\u029e\3\u01fb\21\0\1\u029f"+
    "\4\u01fb\44\0\1\u029f\24\0\1\u029f\4\0\6\u01fb\1\u024d"+
    "\1\u01fb\1\u024d\7\0\2\u01fb\21\u0227\1\u02a0\1\u0227\3\u01fb"+
    "\20\0\1\u02a1\1\0\4\u01fb\43\0\1\u02a1\24\0\1\u02a1"+
    "\33\0\1\u02a2\25\0\1\u02a2\31\0\1\u02a3\105\0\1\u01d3"+
    "\1\0\6\u018f\1\u02a4\14\u018f\2\0\1\u018f\6\0\1\u02a5"+
    "\14\0\1\u02a5\32\0\1\u02a5\25\0\1\u02a5\14\0\1\u02a5"+
    "\2\0\6\u01e7\1\0\1\u01e7\10\0\2\u01e7\23\0\3\u01e7"+
    "\22\0\12\u01e7\1\0\1\u01e7\10\0\2\u01e7\1\u02a6\22\u025f"+
    "\3\u01e7\1\u02a7\21\0\4\u01e7\22\0\1\u02a7\25\0\1\u02a7"+
    "\25\0\6\u01e7\1\u023d\1\u01e7\1\u023d\7\0\2\u01e7\23\u0215"+
    "\3\u01e7\17\0\1\u0266\2\0\4\u01e7\42\0\1\u0266\24\0"+
    "\1\u0266\32\0\1\u02a8\25\0\1\u02a8\23\0\6\u01fb\1\0"+
    "\1\u01fb\10\0\2\u01fb\23\0\3\u01fb\22\0\12\u01fb\1\0"+
    "\1\u01fb\10\0\2\u01fb\1\u02a9\22\u026d\3\u01fb\1\u02aa\21\0"+
    "\4\u01fb\22\0\1\u02aa\25\0\1\u02aa\25\0\6\u01fb\1\u024d"+
    "\1\u01fb\1\u024d\7\0\2\u01fb\23\u0227\3\u01fb\17\0\1\u0274"+
    "\2\0\4\u01fb\42\0\1\u0274\24\0\1\u0274\32\0\1\u02ab"+
    "\25\0\1\u02ab\55\0\1\u02ac\25\0\1\u02ac\35\0\1\u01d3"+
    "\1\0\13\u018f\1\u02ad\7\u018f\2\0\1\u018f\13\0\1\u02ae"+
    "\47\0\1\u02ae\25\0\1\u02ae\12\0\6\u01e7\1\0\1\u01e7"+
    "\10\0\2\u01e7\21\u025f\1\u02af\1\u025f\3\u01e7\20\0\1\u02b0"+
    "\1\0\4\u01e7\43\0\1\u02b0\24\0\1\u02b0\47\0\1\u02b1"+
    "\24\0\1\u02b1\6\0\6\u01fb\1\0\1\u01fb\10\0\2\u01fb"+
    "\21\u026d\1\u02b2\1\u026d\3\u01fb\20\0\1\u02b3\1\0\4\u01fb"+
    "\43\0\1\u02b3\24\0\1\u02b3\47\0\1\u02b4\24\0\1\u02b4"+
    "\37\0\1\u02b5\25\0\1\u02b5\15\0\1\u02b5\20\0\1\u01d3"+
    "\1\0\12\u018f\1\u02b6\10\u018f\2\0\1\u018f\12\0\1\u02b7"+
    "\47\0\1\u02b7\25\0\1\u02b7\13\0\6\u01e7\1\0\1\u01e7"+
    "\10\0\2\u01e7\23\u025f\3\u01e7\17\0\1\u0295\2\0\4\u01e7"+
    "\42\0\1\u0295\24\0\1\u0295\36\0\1\u02b8\25\0\1\u02b8"+
    "\14\0\1\u02b8\2\0\6\u01fb\1\0\1\u01fb\10\0\2\u01fb"+
    "\23\u026d\3\u01fb\17\0\1\u029c\2\0\4\u01fb\42\0\1\u029c"+
    "\24\0\1\u029c\36\0\1\u02b9\25\0\1\u02b9\14\0\1\u02b9"+
    "\36\0\1\u02ba\25\0\1\u02ba\33\0\1\u02bb\1\0\23\u018f"+
    "\2\0\1\u018f\46\0\1\u02bb\112\0\1\u02bc\25\0\1\u02bc"+
    "\47\0\1\u02bd\25\0\1\u02bd\60\0\1\u02be\27\0\2\u02bb"+
    "\3\0\13\u02bb\1\u02bf\24\u02bb\2\0\27\u02bb\34\0\1\u02c0"+
    "\25\0\1\u02c0\47\0\1\u02c1\25\0\1\u02c1\24\0\7\u02c2"+
    "\76\0\1\u02c3\75\0\1\u02c4\66\0\7\u02c2\26\0\1\u02c5"+
    "\27\0\2\u02c3\3\0\13\u02c3\1\u02c6\24\u02c3\2\0\27\u02c3"+
    "\2\u02c4\3\0\13\u02c4\1\u02c7\24\u02c4\2\0\27\u02c4\45\u02c8"+
    "\1\0\30\u02c8\11\0\7\u02c9\67\0\7\u02ca\56\0\45\u02c8"+
    "\1\u02cb\30\u02c8\11\0\7\u02c9\26\0\1\u02cc\40\0\7\u02ca"+
    "\26\0\1\u02cd\37\0\1\u02ce\65\0\45\u02cf\1\0\30\u02cf"+
    "\45\u02d0\1\0\30\u02d0\32\0\1\u02d1\25\0\1\u02d1\15\0"+
    "\45\u02cf\1\u02d2\30\u02cf\45\u02d0\1\u02d3\30\u02d0\31\0\1\u02d4"+
    "\25\0\1\u02d4\15\0\1\u02d4\10\0\1\u02d5\75\0\1\u02d6"+
    "\121\0\1\u02d7\25\0\1\u02d7\45\0\1\u02d8\25\0\1\u02d8"+
    "\47\0\1\u02d9\25\0\1\u02d9\63\0\1\u02da\60\0\1\u02db"+
    "\25\0\1\u02db\15\0\1\u02db\31\0\1\u02dc\25\0\1\u02dc"+
    "\15\0\1\u02dc\34\0\1\u02dd\25\0\1\u02dd\47\0\1\u02de"+
    "\25\0\1\u02de\61\0\1\u02df\75\0\1\u02e0\35\0\1\u02e1"+
    "\1\0\1\u02e1\73\0\1\u02e2\1\0\1\u02e2\76\0\7\u02e3"+
    "\67\0\7\u02e4\56\0\6\u0198\1\u0199\1\u0198\1\u0199\7\u02e3"+
    "\2\u0198\23\0\3\u0198\22\0\4\u0198\6\u01b1\1\u01b2\1\u01b1"+
    "\1\u01b2\7\u02e4\2\u01b1\23\0\3\u01b1\22\0\4\u01b1";

  private static int [] zzUnpacktrans() {
    int [] result = new int[43896];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\7\0\1\11\5\1\1\11\1\1\1\11\23\1\43\0"+
    "\1\1\1\0\1\1\5\0\6\1\5\0\1\1\10\0"+
    "\4\1\1\0\1\11\1\1\1\0\2\1\1\0\1\11"+
    "\36\0\1\11\3\0\1\1\1\0\1\1\1\0\1\1"+
    "\1\0\1\1\1\0\1\1\6\0\2\1\1\0\5\1"+
    "\3\0\1\1\57\0\4\1\3\0\1\1\1\0\1\1"+
    "\1\0\1\1\2\0\1\1\3\0\1\1\3\0\1\1"+
    "\1\0\1\1\1\0\1\1\1\0\1\1\16\0\1\11"+
    "\21\0\1\11\16\0\1\11\2\0\1\1\1\0\1\1"+
    "\1\0\1\1\1\0\1\1\1\0\1\1\2\0\1\1"+
    "\3\0\1\1\4\0\1\1\32\0\1\1\34\0\1\1"+
    "\12\0\4\1\3\0\2\1\1\0\1\1\1\0\1\1"+
    "\6\0\1\1\3\0\1\11\30\0\1\11\31\0\1\1"+
    "\1\0\1\1\1\0\1\1\1\0\1\1\5\0\1\1"+
    "\13\0\1\1\3\0\1\11\1\0\1\1\15\0\1\1"+
    "\3\0\1\11\1\0\1\1\6\0\1\11\1\1\1\0"+
    "\1\1\52\0\1\1\5\0\1\1\17\0\1\1\16\0"+
    "\1\11\1\1\16\0\1\1\15\0\1\1\40\0\1\1"+
    "\6\0\1\1\40\0\1\11\33\0\1\11\12\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[740];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** For the backwards DFA of general lookahead statements */
  private boolean [] zzFin = new boolean [Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())+1];

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S068_FullNumbers() { }
	



  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S068_FullNumbers(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 21: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 22: break;
          case 3:
            { checkEnd();
            }
          // fall through
          case 23: break;
          case 4:
            { if( !annotationEntity.getValue().equals("")) annotationEntity.setValue(annotationEntity.getValue() + "/");
	
		if(Util.readFirstNumber(annotationEntity.getValue()).equals("")) {
		
			save(new AnnotationEntity(Entity.NUMBER), yytext(), false);
			
		} else {

			offset += yylength();
			position += yylength();
		}
		
		annotationEntity.setValue(annotationEntity.getValue() + yytext());
            }
          // fall through
          case 24: break;
          case 5:
            { if( !annotationEntity.getValue().equals("")) annotationEntity.setValue(annotationEntity.getValue() + "/");
		
		annotationEntity.setValue(annotationEntity.getValue() + yytext());
		
		offset += yylength();
		position += yylength();
            }
          // fall through
          case 25: break;
          case 6:
            { if( !annotationEntity.getValue().equals("")) {
		
			annotationEntity.setValue(annotationEntity.getValue() + "/");
			
			save(new AnnotationEntity(Entity.OTHER_AUTH), "AG_ENTRATE", false);
		
		} else {
		
			offset += yylength();
			position += yylength();
		}
		
		annotationEntity.setValue(annotationEntity.getValue() + yytext());
            }
          // fall through
          case 26: break;
          case 7:
            { if( !annotationEntity.getValue().equals("")) annotationEntity.setValue(annotationEntity.getValue() + "/");

		if(Util.readFirstNumber(annotationEntity.getValue()).equals("")) {
		
			save(new AnnotationEntity(Entity.NUMBER), yytext(), false);
			
		} else {

			save(new AnnotationEntity(Entity.YEAR), Util.normalizeYear(yytext()), false);
		}
		
		annotationEntity.setValue(annotationEntity.getValue() + yytext());
            }
          // fall through
          case 27: break;
          case 8:
            { offset += yylength();
		position += yylength();
            }
          // fall through
          case 28: break;
          case 9:
            { if( !annotationEntity.getValue().equals("")) {
		
			annotationEntity.setValue(annotationEntity.getValue() + "/");
			
			save(new AnnotationEntity(Entity.CL_AUTH), "CORTE_CONTI", false);
		
		} else {
		
			offset += yylength();
			position += yylength();
		}
		
		annotationEntity.setValue(annotationEntity.getValue() + yytext());
            }
          // fall through
          case 29: break;
          case 10:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 5;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 6;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { offset += yylength();
		position += yylength();
            }
          // fall through
          case 30: break;
          case 11:
            { start(new AnnotationEntity(Entity.FULL_NUMBER), numberState, true, true);
            }
          // fall through
          case 31: break;
          case 12:
            { start(new AnnotationEntity(Entity.FULL_NUMBER), numberState, false, true);
            }
          // fall through
          case 32: break;
          case 13:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 33: break;
          case 14:
            { start(new AnnotationEntity(Entity.FULL_NUMBER), numberNumberState, true, true);
            }
          // fall through
          case 34: break;
          case 15:
            { start(new AnnotationEntity(Entity.FULL_NUMBER), numberNumberState, false, true);
            }
          // fall through
          case 35: break;
          case 16:
            { start(new AnnotationEntity(Entity.FULL_NUMBER), numberYearState, true, true);
            }
          // fall through
          case 36: break;
          case 17:
            { start(new AnnotationEntity(Entity.FULL_NUMBER), numberYearState, false, true);
            }
          // fall through
          case 37: break;
          case 18:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 38: break;
          case 19:
            { if( !checkEdge()) {
		
			AnnotationEntity retrievedEntity = retrieveEntity();
			
			offset += yylength();
			position += retrievedEntity.getText().length();
		}
            }
          // fall through
          case 39: break;
          case 20:
            { AnnotationEntity retrievedEntity = retrieveEntity();
		
		annotationEntity.addRelatedEntity(retrievedEntity);
		
		annotationEntity.setValue(annotationEntity.getValue() + "/" + retrievedEntity.getText().toUpperCase());
		
		offset += yylength();
		position += yylength();
            }
          // fall through
          case 40: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S068_FullNumbers [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S068_FullNumbers scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S068_FullNumbers(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
